gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnunet] 05/09: BOX record namestore test


From: gnunet
Subject: [gnunet] 05/09: BOX record namestore test
Date: Fri, 01 Dec 2023 10:26:52 +0100

This is an automated email from the git hooks/post-receive script.

martin-schanzenbach pushed a commit to branch master
in repository gnunet.

commit 5e1ffe7381feb936f470134cfe9d9fe7eb305ae1
Author: Sebastian Nadler <sebastian.nadler@tum.de>
AuthorDate: Tue Oct 31 11:43:14 2023 +0100

    BOX record namestore test
---
 src/cli/namestore/test_namestore_box_lightest.sh | 63 ++++++++++++++++++++++++
 1 file changed, 63 insertions(+)

diff --git a/src/cli/namestore/test_namestore_box_lightest.sh 
b/src/cli/namestore/test_namestore_box_lightest.sh
new file mode 100644
index 000000000..add966f8f
--- /dev/null
+++ b/src/cli/namestore/test_namestore_box_lightest.sh
@@ -0,0 +1,63 @@
+#!/bin/bash
+CONFIGURATION="test_namestore_api.conf"
+trap "gnunet-arm -e -c $CONFIGURATION" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+  LOCATION="gnunet-config"
+fi
+$LOCATION --version 1> /dev/null
+if test $? != 0
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX"
+       exit 77
+fi
+
+rm -rf `$LOCATION -c $CONFIGURATION -s PATHS -o GNUNET_HOME`
+TEST_RECORD_NAME_DNS="trust"
+TEST_RECORD_VALUE_SMIMEA="1002 242 53 0 0 1 
d2abde240d7cd3ee6b4b28c54df034b97983a1d16e8a410e4561cb106618e971"
+TEST_RECORD_VALUE_URI='1003 242 256 10 10 "http://lightest.nletlabs.nl/";'
+which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
+
+function start_peer
+{
+       gnunet-arm -s -c $CONFIGURATION
+       gnunet-identity -C testego -c $CONFIGURATION
+}
+
+function stop_peer
+{
+       gnunet-identity -D testego -c $CONFIGURATION
+       gnunet-arm -e -c $CONFIGURATION
+}
+
+
+start_peer
+# Create a public SMIMEA record
+gnunet-namestore -p -z testego -a -n $TEST_RECORD_NAME_DNS -t A -V 
$TEST_RECORD_VALUE_SMIMEA -e never -c $CONFIGURATION
+NAMESTORE_RES=$?
+
+if [ $NAMESTORE_RES = 0 ]
+then
+  echo "PASS: Creating boxed name in namestore SMIMEA"
+else
+  echo "FAIL: Creating boxed name in namestore failed with $NAMESTORE_RES."
+  stop_peer
+  exit 1
+fi
+
+# Create a public URI record
+gnunet-namestore -p -z testego -a -n $TEST_RECORD_NAME_DNS -t A -V 
$TEST_RECORD_VALUE_URI -e never -c $CONFIGURATION
+NAMESTORE_RES=$?
+
+if [ $NAMESTORE_RES = 0 ]
+then
+  echo "PASS: Creating boxed name in namestore URI"
+else
+  echo "FAIL: Creating boxed name in namestore failed with $NAMESTORE_RES."
+  stop_peer
+  exit 1
+fi
+
+stop_peer
\ No newline at end of file

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]